### Method

# Pango Matrix transform_distance

since: 1.16

#### Declaration [src]

    void
    pango_matrix_transform_distance (
      const PangoMatrix* matrix,
      double* dx,
      double* dy
    )

#### Description [src]

Transforms the distance vector (`dx`,`dy`) by `matrix`.

This is similar to `pango_matrix_transform_point()`, except that the translation components of the transformation are ignored. The calculation of the returned vector is as follows:

    dx2 = dx1 * xx + dy1 * xy;
    dy2 = dx1 * yx + dy1 * yy;

Affine transformations are position invariant, so the same vector always transforms to the same vector. If (`x1`,`y1`) transforms to (`x2`,`y2`) then (`x1`+`dx1`,`y1`+`dy1`) will transform to (`x1`+`dx2`,`y1`+`dy2`) for all values of `x1` and `x2`.

Available since: 1.16

#### Parameters

`dx`

  Type: `double*`

  In/out X component of a distance vector.

  The argument will be modified by the function.

`dy`

  Type: `double*`

  In/out Y component of a distance vector.

  The argument will be modified by the function.